HOrientable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.havi.ui
Interface HOrientable

All Known Subinterfaces:
  HAdjustmentInputPreferred, HAdjustmentValue, HItemValue, HSelectionInputPreferred

All Known Implementing Classes:
  HListGroup, HRange, HRangeValue, HStaticRange

    public interface HOrientable

The `HOrientable` interface provides support for components which have an orientation.

Widgets of HAVi compliant applications implementing the `HOrientable` interface must have `HComponent` in their inheritance tree.

Field Summary
`static int` | `ORIENT_BOTTOM_TO_TOP` A constant which specifies that the `HOrientable` shall be rendered with a vertical orientation, with the minimum value on the bottom, and the maximum value on the top.
`static int` | `ORIENT_LEFT_TO_RIGHT` A constant which specifies that the `HOrientable` shall be rendered with a horizontal orientation, with the minimum value on the left side, and the maximum value on the right side.
`static int` | `ORIENT_RIGHT_TO_LEFT` A constant which specifies that the `HOrientable` shall be rendered with a horizontal orientation, with the minimum value on the right side, and the maximum value on the left side.
`static int` | `ORIENT_TOP_TO_BOTTOM` A constant which specifies that the `HOrientable` shall be rendered with a vertical orientation, with the minimum value on the top, and the maximum of the range on the bottom.

Method Summary
`int` | `getOrientation()` Retrieve the orientation of the `HOrientable` .
`void` | `setOrientation(int orient)` Set the orientation of the `HOrientable` .

Field Detail

### ORIENT_LEFT_TO_RIGHT

    static final int ORIENT_LEFT_TO_RIGHT

  A constant which specifies that the `HOrientable` shall be rendered with a horizontal orientation, with the minimum value on the left side, and the maximum value on the right side.

  See Also:
    Constant Field Values

### ORIENT_RIGHT_TO_LEFT

    static final int ORIENT_RIGHT_TO_LEFT

  A constant which specifies that the `HOrientable` shall be rendered with a horizontal orientation, with the minimum value on the right side, and the maximum value on the left side.

  See Also:
    Constant Field Values

### ORIENT_TOP_TO_BOTTOM

    static final int ORIENT_TOP_TO_BOTTOM

  A constant which specifies that the `HOrientable` shall be rendered with a vertical orientation, with the minimum value on the top, and the maximum of the range on the bottom.

  See Also:
    Constant Field Values

### ORIENT_BOTTOM_TO_TOP

    static final int ORIENT_BOTTOM_TO_TOP

  A constant which specifies that the `HOrientable` shall be rendered with a vertical orientation, with the minimum value on the bottom, and the maximum value on the top.

  See Also:
    Constant Field Values

Method Detail

### getOrientation

    int getOrientation()

  Retrieve the orientation of the `HOrientable` . The orientation controls the layout of the component.

  Returns:
    one of `ORIENT_LEFT_TO_RIGHT` , `ORIENT_RIGHT_TO_LEFT` , `ORIENT_TOP_TO_BOTTOM` , or `ORIENT_BOTTOM_TO_TOP` .

### setOrientation

    void setOrientation(int orient)

  Set the orientation of the `HOrientable` . The orientation controls the layout of the component.

  Parameters:
    `orient` - one of `ORIENT_LEFT_TO_RIGHT` , `ORIENT_RIGHT_TO_LEFT` , `ORIENT_TOP_TO_BOTTOM` , or `ORIENT_BOTTOM_TO_TOP` .

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD